package net.w_horse.excelpojo.xml;

import net.w_horse.excelpojo.excel.cellseeker.VerticalRepeatsSeeker;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.springframework.beans.factory.xml.ParserContext;
import org.w3c.dom.Element;

public class VerticalRepeatsSeekerFactoryBean extends
							AbstractRepeatsSeekerFactoryBean {

	@Override
	BeanDefinitionBuilder parse(Element element,
			CellSeekerFactoryBeanAcceptableXMLParser parser,
			ParserContext parserContext) {
		return parser.parse(element, this, parserContext);
	}

	@Override
	public Class<VerticalRepeatsSeeker> getObjectType() {
		return VerticalRepeatsSeeker.class;
	}

}
